Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in OpenJPEG
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in OpenJPEG
ID: openSUSE-SU-2018:1381-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mi, 23. Mai 2018, 17:00
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-171479
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-1239
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17480
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17479
Applikationen: OpenJPEG

Originalnachricht

   openSUSE Security Update: Security update for openjpeg2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1381-1
Rating: moderate
References: #1066713 #1072124 #1072125
Cross-References: CVE-2015-1239 CVE-2017-171479 CVE-2017-17479
CVE-2017-17480
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for openjpeg2 fixes the following security issues:

- CVE-2015-1239: A double free vulnerability in the j2k_read_ppm_v3
function allowed remote attackers to cause a denial of service (crash)
(bsc#1066713)
- CVE-2017-17479: A stack-based buffer overflow in the pgxtoimage function
in jpwl/convert.c could crash the converter. (bsc#1072125)
- CVE-2017-17480: A stack-based buffer overflow in the pgxtovolume
function in jp3d/convert.c could crash the converter. (bsc#1072124)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-490=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libopenjp2-7-2.1.0-22.1
libopenjp2-7-debuginfo-2.1.0-22.1
openjpeg2-2.1.0-22.1
openjpeg2-debuginfo-2.1.0-22.1
openjpeg2-debugsource-2.1.0-22.1
openjpeg2-devel-2.1.0-22.1

- openSUSE Leap 42.3 (x86_64):

libopenjp2-7-32bit-2.1.0-22.1
libopenjp2-7-debuginfo-32bit-2.1.0-22.1


References:

https://www.suse.com/security/cve/CVE-2015-1239.html
https://www.suse.com/security/cve/CVE-2017-171479.html
https://www.suse.com/security/cve/CVE-2017-17479.html
https://www.suse.com/security/cve/CVE-2017-17480.html
https://bugzilla.suse.com/1066713
https://bugzilla.suse.com/1072124
https://bugzilla.suse.com/1072125

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung